Index: trunk/BNC/qwt/qwt_null_paintdevice.cpp
===================================================================
--- trunk/BNC/qwt/qwt_null_paintdevice.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_null_paintdevice.cpp	(revision 9383)
@@ -10,4 +10,5 @@
 #include "qwt_null_paintdevice.h"
 #include <qpaintengine.h>
+#include <qpainterpath.h>
 #include <qpixmap.h>
 
@@ -51,13 +52,13 @@
     virtual void drawPolygon(const QPoint *, int , PolygonDrawMode );
 
-    virtual void drawPixmap(const QRectF &, 
+    virtual void drawPixmap(const QRectF &,
         const QPixmap &, const QRectF &);
 
     virtual void drawTextItem(const QPointF &, const QTextItem &);
 
-    virtual void drawTiledPixmap(const QRectF &, 
+    virtual void drawTiledPixmap(const QRectF &,
         const QPixmap &, const QPointF &s);
 
-    virtual void drawImage(const QRectF &, 
+    virtual void drawImage(const QRectF &,
         const QImage &, const QRectF &, Qt::ImageConversionFlags );
 
@@ -65,5 +66,5 @@
     QwtNullPaintDevice *nullDevice();
 };
-    
+
 QwtNullPaintDevice::PaintEngine::PaintEngine():
     QPaintEngine( QPaintEngine::AllFeatures )
@@ -283,5 +284,5 @@
 }
 
-void QwtNullPaintDevice::PaintEngine::drawPixmap( 
+void QwtNullPaintDevice::PaintEngine::drawPixmap(
     const QRectF &rect, const QPixmap &pm, const QRectF &subRect )
 {
@@ -310,5 +311,5 @@
 
 void QwtNullPaintDevice::PaintEngine::drawTiledPixmap(
-    const QRectF &rect, const QPixmap &pixmap, 
+    const QRectF &rect, const QPixmap &pixmap,
     const QPointF &subRect)
 {
@@ -321,5 +322,5 @@
         QPaintEngine::drawTiledPixmap( rect, pixmap, subRect );
         return;
-    }   
+    }
 
     device->drawTiledPixmap( rect, pixmap, subRect );
@@ -327,5 +328,5 @@
 
 void QwtNullPaintDevice::PaintEngine::drawImage(
-    const QRectF &rect, const QImage &image, 
+    const QRectF &rect, const QImage &image,
     const QRectF &subRect, Qt::ImageConversionFlags flags)
 {
@@ -338,11 +339,11 @@
 
 void QwtNullPaintDevice::PaintEngine::updateState(
-    const QPaintEngineState &state)
-{
-    QwtNullPaintDevice *device = nullDevice();
-    if ( device == NULL )
-        return;
-
-    device->updateState( state );
+    const QPaintEngineState &engineState)
+{
+    QwtNullPaintDevice *device = nullDevice();
+    if ( device == NULL )
+        return;
+
+    device->updateState( engineState );
 }
 
@@ -380,5 +381,5 @@
 }
 
-/*! 
+/*!
     \return Render mode
     \sa setMode()
@@ -394,5 +395,5 @@
     if ( d_engine == NULL )
     {
-        QwtNullPaintDevice *that = 
+        QwtNullPaintDevice *that =
             const_cast< QwtNullPaintDevice * >( this );
 
@@ -403,5 +404,5 @@
 }
 
-/*! 
+/*!
     See QPaintDevice::metric()
 
@@ -415,5 +416,5 @@
     int value;
 
-    switch ( deviceMetric ) 
+    switch ( deviceMetric )
     {
         case PdmWidth:
@@ -530,5 +531,5 @@
 //! See QPaintEngine::drawPolygon()
 void QwtNullPaintDevice::drawPolygon(
-    const QPointF *points, int pointCount, 
+    const QPointF *points, int pointCount,
     QPaintEngine::PolygonDrawMode mode)
 {
@@ -540,5 +541,5 @@
 //! See QPaintEngine::drawPolygon()
 void QwtNullPaintDevice::drawPolygon(
-    const QPoint *points, int pointCount, 
+    const QPoint *points, int pointCount,
     QPaintEngine::PolygonDrawMode mode)
 {
@@ -549,5 +550,5 @@
 
 //! See QPaintEngine::drawPixmap()
-void QwtNullPaintDevice::drawPixmap( const QRectF &rect, 
+void QwtNullPaintDevice::drawPixmap( const QRectF &rect,
     const QPixmap &pm, const QRectF &subRect )
 {
@@ -567,5 +568,5 @@
 //! See QPaintEngine::drawTiledPixmap()
 void QwtNullPaintDevice::drawTiledPixmap(
-    const QRectF &rect, const QPixmap &pixmap, 
+    const QRectF &rect, const QPixmap &pixmap,
     const QPointF &subRect)
 {
@@ -577,5 +578,5 @@
 //! See QPaintEngine::drawImage()
 void QwtNullPaintDevice::drawImage(
-    const QRectF &rect, const QImage &image, 
+    const QRectF &rect, const QImage &image,
     const QRectF &subRect, Qt::ImageConversionFlags flags)
 {
@@ -587,5 +588,5 @@
 
 //! See QPaintEngine::updateState()
-void QwtNullPaintDevice::updateState( 
+void QwtNullPaintDevice::updateState(
     const QPaintEngineState &state )
 {
